/*
 * This file is part of the KDE wacomtablet project. For copyright
 * information and license terms see the AUTHORS and COPYING files
 * in the top-level directory of this distribution.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * \file debug.h
 * \brief Debugging definitions and includes.
 */

#ifndef DEBUG_H
#define DEBUG_H

// define this to disable assertions
//#define NDEBUG 1


/*
 * DEBUG INCLUDES
 *
 * Do not move these included to the top!
 * Some of them depend on the definitions of this file.
 */
#include <assert.h>
#include <QDebug>


const QString __methodName(const char *prettyFunction);
#define dbgWacom qDebug() << "kde_wacom:"
#define errWacom qCritical() << "kde_wacom:" << __methodName(__PRETTY_FUNCTION__)



#endif // HEADER PROTECTION


